### Method

# WebKit2WebExtension DOMDocument adopt_node

#### Declaration [src]

    WebKitDOMNode*
    webkit_dom_document_adopt_node (
      WebKitDOMDocument* self,
      WebKitDOMNode* source,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`source` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the instance.